//
//  NSMutableData+Random.h
//  Toolkit
//
//  Created by Philipp on 12/25/09.
//  Copyright 2009 Incredible Bee Ltd. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface NSMutableData (Random)

/**
 * Creates and returns an `NSMutableData` object containing a given number of
 * random bytes.
 *
 * @param length The number of bytes the new data object initially contains.
 *
 * @return A new NSMutableData object of length bytes, filled with random
 * bytes.
 */
+(NSMutableData *) randomDataWithLength:(NSUInteger)length;

@end
