//
//  NSString+Additions.h
//  BEToolkit
//
//  Created by Philipp on 28/12/2007.
//  Copyright 2015 Incredible Bee Ltd. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface NSString (Additions)

/**
 * Returns a Boolean value that indicates whether the receiver contains the given substring
 */
- (BOOL) hasSubstring:(NSString *)substring;

/**
 * Returns a Boolean value that indicates whether the file at the given path is a Mac hidden file
 */
- (BOOL) isMacHiddenFile;

/**
 * Replaces the path's extension
 */
- (NSString *)swapExtension: (NSString *)newExtension;

/**
 * Returns the path's extension (improves NSString's built-in pathExtension method to detect
 * some special cases)
 */
- (NSString *)pathExtensionX __attribute__ ((deprecated));

@end
